<?php
/**
 * The Header for our theme.
 *
 * @package WordPress
 */
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php wp_title('|', true, 'right'); ?></title>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div class="head">
<div class="container">
<div class="logo">
<div class="logo_pic"><a href="<?php echo esc_url(home_url('/')); ?>"><?php if ( journalbox_of_get_option('logo') ) { ?>
            <img src="<?php echo journalbox_of_get_option('logo'); ?>" alt="<?php bloginfo('name'); ?>" />
            <?php }else{ ?><span class="site-name"><?php bloginfo('name'); ?></span><?php }?></a>
			</div>
			<div class="tagline"><?php echo  get_bloginfo( 'description' );?></div>
			</div>
<span class="nav nav_menu">
<?php
if(function_exists('wp_nav_menu')) {
wp_nav_menu(array('theme_location'=>'primary','depth'=>0,'container'=>'','container_class'=>'main-menu','menu_id'=>'menu-main','menu_class'=>'main-nav','link_before' => '<span>', 'link_after' => '</span>'));
}
?> </span> 
<div class="input hidden">
        <form action="<?php echo esc_url(home_url('/')); ?>" method="get" id="cse-search-box">
        <input type="text" value="Search" onFocus="if(this.value=='Search'){this.value=''}" id="s" onBlur="if(this.value==''){this.value='Search'}" name="s" class="search_r_text">
          <input type="submit" name="sa" class="search-btn" value="">
        </form>
    </div>
</div>
</div>