<?php
/**
 * The Template for page.
 *
 * @package WordPress
 */

get_header(); ?>

<div id="post-<?php the_ID(); ?>" <?php post_class("clear"); ?>>
  <div class="box-center">
    <?php journalbox_get_breadcrumb();?>
    <div class="box-center-left">
      <?php if (have_posts()) :?>
      <?php while ( have_posts() ) : the_post();
   
	get_template_part("content",get_post_format());
	
	 endwhile;
 ?>
      <div class="patt border">
        <?php if(function_exists("journalbox_native_pagenavi")){journalbox_native_pagenavi("echo",$wp_query);}?>
      </div>
      <?php else : ?>
      <?php get_template_part( 'content', 'none' ); ?>
      <?php endif; ?>
    </div>
    <div class="center_right">
      <div class="link-top-icon"></div>
      <div class="width30">
        <?php journalbox_get_sidebar(3); ?>
      </div>
      <div class="link-bottom-icon"></div>
    </div>
    <div class="clear"></div>
  </div>
</div>
<?php get_footer(); ?>